Package com.google.javascript.jscomp.graph

# Class GraphColoring.GreedyGraphColoring<N,E>

java.lang.Object
com.google.javascript.jscomp.graph.GraphColoring<N,E>
com.google.javascript.jscomp.graph.GraphColoring.GreedyGraphColoring<N,E>

Enclosing class:
  `GraphColoring<N,E>`

public static class GraphColoring.GreedyGraphColoring<N,E> extends GraphColoring<N,E>
Greedily assign nodes with high degree unique colors.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.google.javascript.jscomp.graph.GraphColoring

`GraphColoring.Color, GraphColoring.GreedyGraphColoring<N,E>`

## Field Summary

### Fields inherited from class com.google.javascript.jscomp.graph.GraphColoring

`colorToNodeMap, graph`

## Constructor Summary

Constructors
Constructor
Description
`GreedyGraphColoring(AdjacencyGraph<N,E> graph)`
`GreedyGraphColoring(AdjacencyGraph<N,E> graph, Comparator<N> tieBreaker)`

## Method Summary

Modifier and Type
Method
Description
`int`
`color()`
Annotates the graph with `GraphColoring.Color` objects using `Annotatable.setAnnotation(Annotation)`.

### Methods inherited from class com.google.javascript.jscomp.graph.GraphColoring

`getGraph, getPartitionSuperNode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GreedyGraphColoring

public GreedyGraphColoring(AdjacencyGraph<N,E> graph)

### GreedyGraphColoring

public GreedyGraphColoring(AdjacencyGraph<N,E> graph, Comparator<N> tieBreaker)

Parameters:
  `tieBreaker` - In case of a tie between two nodes of the same degree, this comparator will determine which node should be colored first.

## Method Details

### color

public int color()
Description copied from class: `GraphColoring`
Annotates the graph with `GraphColoring.Color` objects using `Annotatable.setAnnotation(Annotation)`.

Specified by:
  `color` in class `GraphColoring<N,E>`
Returns:
  The number of unique colors need.